<div class="row">
    <div class="col-md-10 user-info" >
        <form enctype="multipart/form-data">
            <div class="control-group">
                <label><%=labels.firstName%></label>
                <input type="text" name="firstName" value="<%=firstName%>" required/>
            </div>
            <div class="control-group">
                <label><%=labels.lastName%></label>
                <input type="text" name="lastName" value="<%=lastName%>" required/>
            </div>
            <div class="control-group relative">
                <label><%=labels.username%></label>
                <input type="text" name="username" value="<%=username%>" required/>
            </div>
            <div class="control-group relative">
                <label><%=labels.tell%></label>
                <input type="text" name="tell" value="<%=tell%>" required/>
            </div>
            <div class="control-group relative">
                <label><%=labels.email%></label>
                <input type="text" name="email" value="<%=email%>" required/>
            </div>

            <%if(!id){%>
            <div class="control-group relative">
                <label><%=labels.password%></label>
                <input type="password" name="password" required/>
            </div>
            <div class="control-group relative">
                <label><%=labels.confirmNewPassword%></label>
                <input type="password" name="confirm" required/>
            </div>

            <%}%>



            <!--Set Write Permission-->
            <div class="control-group">
                <input name="permission" value="2" class="toggle-show-settings iCheck" type="radio" data-toggle="writePermission"/>
                <label><%=labels.system_user%></label>
            </div>

            <div id="writePermission-settings" style="margin-bottom: 50px;">
                <div class="selection-header row">
                    <div class="col-sm-1">&nbsp;</div>
                    <div class="col-sm-5"><%=labels.regions_list%></div>
                    <div class="col-sm-3 center"><%=labels.permission_write_only%> </div>
                    <div class="col-sm-3 center"><%=labels.permission_write_full%> </div>
                </div>
                <div style="clear: both;"></div>
                <div class="panel-group user-region-selection clear" id="" role="" aria-multiselectable="true">
                    <%_.each(regions, function(region){%>
                    <%if(region.areas.length > 0){%>
                    <div class="panel panel-default">
                        <div class="panel-heading" role="tab" id="heading-region-<%=region.id%>">
                            <h4 class="panel-title col-sm-1">
                                <a data-toggle="collapse" data-parent="#regions-accordion" href="#collapse-region-<%=region.id%>" aria-expanded="true" aria-controls="collapse-region-<%=region.id%>">
                                    <i class="glyphicon glyphicon-plus-sign"></i>
                                </a>
                            </h4>
                            <div class="col-sm-5"><%=region.name%></div>
                            <div class="col-sm-3 center">
                                <input  type="checkbox" class="region-checkbox iCheck region-<%=region.id%>" data-region="<%=region.id%>" data-type="write_only"/>
                            </div>
                            <div class="col-sm-3 center">
                                <input type="checkbox" class="region-checkbox iCheck region-<%=region.id%>" data-region="<%=region.id%>" data-type="write_full"/>
                            </div>
                        </div>
                        <div id="collapse-region-<%=region.id%>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-region-<%=region.id%>">
                            <div class="panel-body">
                                <div class="panel-group" id="areas-accordion" role="tablist" aria-multiselectable="true">
                                    <%_.each(region.areas, function(area){%>
                                    <%if(area.countries.length > 0){%>
                                    <div class="panel panel-default">
                                        <div class="panel-heading" role="tab" id="heading-area-<%=area.id%>">
                                            <h4 class="panel-title col-sm-1">
                                                <div class="col-md-10">
                                                    <a data-toggle="collapse" data-parent="#areas-accordion" href="#collapse-area-<%=area.id%>" aria-expanded="true" aria-controls="collapse-region-<%=area.id%>">
                                                        <i class="glyphicon glyphicon-plus-sign"></i>
                                                    </a>
                                                </div>
                                            </h4>
                                            <div class="col-sm-5"> &nbsp;<%=area.name%></div>
                                            <div class="col-sm-3 center">
                                                <input type="checkbox" class="area-checkbox iCheck area-<%=area.id%>" data-area="<%=area.id%>" data-region="<%=region.id%>" data-type="write_only"/>
                                            </div>
                                            <div class="col-sm-3 center">
                                                <input type="checkbox" class="area-checkbox iCheck area-<%=area.id%>" data-area="<%=area.id%>" data-region="<%=region.id%>" data-type="write_full"/>
                                            </div>

                                        </div>
                                        <div id="collapse-area-<%=area.id%>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-area-<%=area.id%>">
                                            <div class="panel-body">
                                                <div class="country-wrapper">
                                                    <%_.each(area.countries, function(country){%>
                                                    <h4 class="col-sm-1"></h4>
                                                    <div class="col-sm-5"> &nbsp; &nbsp;<%=country.name%></div>
                                                    <div class="col-sm-3 center">
                                                        <input indeterminate="true" class="country-checkbox write_only iCheck" id="country-<%=country.id%>" data-id="<%=country.id%>" type="checkbox" value="country.id" data-area="<%=area.id%>" data-region="<%=region.id%>" data-name="<%=country.name%>" data-type="write_only" />
                                                    </div>
                                                    <div class="col-sm-3 center">
                                                        <input indeterminate="true" class="country-checkbox write_full iCheck" id="country-<%=country.id%>" data-id="<%=country.id%>" type="checkbox" value="country.id" data-area="<%=area.id%>" data-region="<%=region.id%>" data-name="<%=country.name%>" data-type="write_full" />
                                                    </div>

                                                    <%})%>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <%}%>
                                    <%})%>
                                </div>
                            </div>
                        </div>
                    </div>
                    <%}%>
                    <%})%>
                </div>
                <div style="clear: both;"></div>
            </div>
            
            <!--Set Read Permission-->
            <div class="control-group">
                <input name="permission" value="3" class="toggle-show-settings iCheck" type="radio" data-toggle="readPermission"/>
                <label><%=labels.visitor_user%></label>
            </div>
            <div id="readPermission-settings">
                <div class="selection-header row">
                    <div class="col-sm-1">&nbsp;</div>
                    <div class="col-sm-5" style="padding: 0;"><%=labels.place_types%></div>
                    <div class="col-sm-3 center"><%=labels.show_public%> </div>
                    <div class="col-sm-3 center"><%=labels.show_private%> </div>
                </div>
                <div class="panel-group">
                    <%_.each(placeTypes, function(type){%>
                    <div class="row user-placeTypes-selection">
                        <div class="panel-title col-sm-1"></div>
                        <div class="col-sm-5"><%=type.name%></div>
                        <div class="col-sm-3 center">
                            <input type="checkbox" class="iCheck place-type public placeType-<%=type.id%>" data-type="public" data-id="<%=type.id%>"/>
                        </div>
                        <div class="col-sm-3 center">
                            <input type="checkbox" class="iCheck place-type private placeType-<%=type.id%>" data-type="private" data-id="<%=type.id%>"/>
                        </div>
                    </div>
                    <%})%>
                </div>
            </div>

        </form>
    </div>
    <div class="col-md-2" style="padding: 0;">
        <img class="user-image" src="<%= (photo) ? photo : '/img/user.jpg'%>"/>
        <div id="btn_container" class="clear">
            <a class="btn btn-primary add-image right" id="image_upload_btn"><%=labels.add_img%></a>
            <p id="uploadfiles" class="hide"></p>
            <div class="progress left hide" style="width: 300px;">
                <div class="bar"></div>
                <span class="plupload_total_status"></span>
            </div>
        </div>
        <input type="file" name="image" id="file" style="visibility: hidden;"/>
    </div>
</div>

<div class="modal fade user-form-modal" data-toggle="modal" id="popup-holder">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header"><%=labels.countries_selection%>:</div>
            <div class="modal-body"></div>
            <div class="modal-footer two-button">
                <div class="" data-dismiss="modal"><%=labels.cancel%></div>
                <div class="select-countries"><%=labels.select%></div>
            </div>
        </div>
    </div>
</div>

<div  style="clear: both;"></div>
<div class="btn-wrapper">
    <%if(id){%>
    <a class="btn btn-primary create-item"><%=labels.update%></a>
    <%}else{%>
    <a class="btn btn-primary create-item"><%=labels.save%></a>
    <%}%>
</div>
